org.eclnt.jsfserver.util

## Class ClientI18NReader

- java.lang.Object
- - org.eclnt.jsfserver.util.ClientI18NReader

-     public class ClientI18NReader
      extends java.lang.Object

  Class that reads all I18N information for the RISC client and transforms this information into a JSON string that is read by the RISC client when starting up.
  In addition the class provides some methods for accessing system information (e.g. languages and countries that are available for the client).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientI18NReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `buildI18NJson(ServletContext servletContext)` Build the JSON configuration string, that is processed by the RISC client in order to get its client locale configuration.
    `static java.util.Set<java.lang.String>` | `getCountries()` Returns list of all countries that are defined for the RISC client.
    `static java.util.Set<java.lang.String>` | `getLanguages()` Returns list of all languages that are defined for the RISC client.
    `static void` | `init(ServletContext servletContext)`
    `static void` | `reset()` Resets buffered information so that it is rebuilt the next time that it is requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientI18NReader

          public ClientI18NReader()

  - ### Method Detail

    - #### init

          public static void init(ServletContext servletContext)

    - #### buildI18NJson

          public static java.lang.String buildI18NJson(ServletContext servletContext)

      Build the JSON configuration string, that is processed by the RISC client in order to get its client locale configuration.

    - #### getCountries

          public static java.util.Set<java.lang.String> getCountries()

      Returns list of all countries that are defined for the RISC client.

    - #### getLanguages

          public static java.util.Set<java.lang.String> getLanguages()

      Returns list of all languages that are defined for the RISC client.

    - #### reset

          public static void reset()

      Resets buffered information so that it is rebuilt the next time that it is requested.

Copyright © CaptainCasa Gmbh. All Rights Reserved.